Subject: Re: bug#69915: 30.0.50; mouse-autoselect-window has no effect in terminal

From: martin rudalics <[email-masked]>
Date: Tue, 2 Apr 2024 09:50:40 +0200

> Martin, did you mean we should change Olaf's patch to xt-mouse.el use
 > minibuffer-window-active-p or we should change handle-select-window in
 > window.el to use minibuffer-window-active-p?
 >
 > I have a preference to keep xt-mouse.el aligned with xterm.c as well
 > as other native code checks, all which use MINI_WINDOW_P
 > (window-minibuffer-p in Lisp) currently.

'minibuffer-window-active-p' should be more accurate but I do not fully
understand its semantics any more.  For anything you and Olaf do, I'd
recommend 'window-minibuffer-p' / MINI_WINDOW_P.

martin